JobColumnConfig (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client.job

## Class JobColumnConfig

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.client.job.JobColumnConfig

-     public class JobColumnConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobColumnConfig(boolean name, boolean statusAsString, boolean statusAsProgress, boolean startTime, boolean endTime, boolean type)` Set display columns

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.extjs.gxt.ui.client.widget.grid.ColumnConfig>` | `getListColumnConfig()`
    `com.extjs.gxt.ui.client.widget.grid.ColumnConfig` | `getProgressStatusColumnConfig()`
    `com.extjs.gxt.ui.client.widget.grid.ColumnConfig` | `getStatusColumnConfig()`
    `boolean` | `isStatusAsProgress()`
    `boolean` | `isStatusAsString()`
    `void` | `setStatusAsProgress(boolean statusAsProgress)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobColumnConfig

          public JobColumnConfig(boolean name,
                         boolean statusAsString,
                         boolean statusAsProgress,
                         boolean startTime,
                         boolean endTime,
                         boolean type)

      Set display columns
      Parameters:
        `name` -
        `statusAsString` -
        `statusAsProgress` -
        `startTime` -
        `endTime` -
        `type` -

  - ### Method Detail

    - #### isStatusAsProgress

          public boolean isStatusAsProgress()

    - #### setStatusAsProgress

          public void setStatusAsProgress(boolean statusAsProgress)

    - #### getListColumnConfig

          public List<com.extjs.gxt.ui.client.widget.grid.ColumnConfig> getListColumnConfig()

    - #### getStatusColumnConfig

          public com.extjs.gxt.ui.client.widget.grid.ColumnConfig getStatusColumnConfig()

    - #### getProgressStatusColumnConfig

          public com.extjs.gxt.ui.client.widget.grid.ColumnConfig getProgressStatusColumnConfig()

    - #### isStatusAsString

          public boolean isStatusAsString()

Copyright © 2014. All Rights Reserved.